summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
Diffstat (limited to 'perl')
-rw-r--r--perl/raku-Readline/README4
-rw-r--r--perl/raku-Readline/raku-Readline.SlackBuild89
-rw-r--r--perl/raku-Readline/raku-Readline.info10
-rw-r--r--perl/raku-Readline/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/perl/raku-Readline/README b/perl/raku-Readline/README
new file mode 100644
index 0000000000..9f94177e82
--- /dev/null
+++ b/perl/raku-Readline/README
@@ -0,0 +1,4 @@
+A thin OO wrapper around the GNU Readline library for the Raku
+programming language.
+
+This module adds command line editing to the Rakudo interpreter.
diff --git a/perl/raku-Readline/raku-Readline.SlackBuild b/perl/raku-Readline/raku-Readline.SlackBuild
new file mode 100644
index 0000000000..88b94d7d9e
--- /dev/null
+++ b/perl/raku-Readline/raku-Readline.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for raku-Readline
+
+# Copyright 2018-2019 Andreas Voegele <andreas@andreasvoegele.com>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=raku-Readline
+VERSION=${VERSION:-0.1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=perl6-readline
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "${MAKETEST:-no}" = "yes" ]; then
+ env PERL6LIB=lib prove -e raku
+fi
+
+RAKUDO_LOG_PRECOMP=1 \
+RAKUDO_RERESOLVE_DEPENDENCIES=0 \
+raku-install-dist \
+ --to="$PKG/usr/share/perl6/vendor" \
+ --for=vendor \
+ --from=.
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/raku-Readline/raku-Readline.info b/perl/raku-Readline/raku-Readline.info
new file mode 100644
index 0000000000..8ff53f35f2
--- /dev/null
+++ b/perl/raku-Readline/raku-Readline.info
@@ -0,0 +1,10 @@
+PRGNAM="raku-Readline"
+VERSION="0.1.5"
+HOMEPAGE="https://github.com/drforr/perl6-readline"
+DOWNLOAD="https://github.com/drforr/perl6-readline/archive/0.1.5/perl6-readline-0.1.5.tar.gz"
+MD5SUM="9156baa1cd931798a258bf44508006c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="rakudo"
+MAINTAINER="Andreas Voegele"
+EMAIL="andreas@andreasvoegele.com"
diff --git a/perl/raku-Readline/slack-desc b/perl/raku-Readline/slack-desc
new file mode 100644
index 0000000000..8c7d9bd3fa
--- /dev/null
+++ b/perl/raku-Readline/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+raku-Readline: raku-Readline (Raku interface to the GNU Readline library)
+raku-Readline:
+raku-Readline: A thin OO wrapper around the GNU Readline library for the Raku
+raku-Readline: programming language.
+raku-Readline:
+raku-Readline: This module adds command line editing to the Rakudo interpreter.
+raku-Readline:
+raku-Readline: Homepage: https://github.com/drforr/perl6-readline
+raku-Readline:
+raku-Readline:
+raku-Readline: